﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using NarthexIts.BIFramework.RenderControles.Utils.TeeMapWeb;
using Steema.TeeChart.Styles;
using System.IO;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DateTime lTime = DateTime.Now;

        TeeSHP lTeeSHP = new TeeSHP("C:\\Workspace\\BIFrameworkWebAllInOne\\Main\\Source\\BIFRAMEWORKWEBALLINONE\\WebSite\\ChartImages\\");
        Map lMapa = new Map();
        //lMapa.Marks.Style = Steema.TeeChart.Styles.MarksStyles.Value;
        //lMapa.Marks.Visible = true;
        WebChart1.Chart.Series.Add(lMapa);
        WebChart1.TempChart = Steema.TeeChart.Web.TempChartStyle.File;
        lTeeSHP.LoadMap(lMapa, "southamerica_adm0.shp");
        TextBox1.Text = (DateTime.Now - lTime).TotalMilliseconds.ToString();

        var lStream = new MemoryStream();
        WebChart1.Chart.Export.Template.Save(lStream);
        lStream.Position = 0;
        lTime = DateTime.Now;
        WebChart2.Chart.Import.Template.Load(lStream);
        TextBox2.Text = (DateTime.Now - lTime).TotalMilliseconds.ToString();
    }
}
